import { ref, resolveComponent, withCtx, createVNode, toDisplayString, createTextVNode, unref, useSSRContext } from "vue";
import { ssrRenderComponent, ssrInterpolate, ssrRenderList, ssrRenderClass } from "vue/server-renderer";
import "dayjs";
import "./ActionMessage-cgGHxf5V.js";
import { b as _sfc_main$5 } from "./ActionSection-DLY4AkI5.js";
import "./AuthenticationCardLogo-BUP7R51z.js";
import "./ThemeSwitch-BH8JZmuF.js";
import "./AuthenticationCard-DZUcA5eO.js";
import "@inertiajs/vue3";
import "./Checkbox-C8_DVKYJ.js";
import "./ConfirmationModal-D2gnpuXK.js";
import "./ConfirmsPassword-mDregivA.js";
import "./DangerButton-C-9IxBUH.js";
import "./FormSection-C7JuSy06.js";
import "./InputError-DjBtKS5r.js";
import "./InputLabel-DXl8D0gR.js";
import "./PrimaryButton-BFULsO35.js";
import "./SecondaryButton-CI1uhr4A.js";
import "./SectionTitle-CrLwNK7a.js";
import { P as PageSearch } from "./PageSearch-CiHIJpyQ.js";
import { _ as _sfc_main$1 } from "./AdminLayout-DHH3IgME.js";
import _sfc_main$6 from "./Form-BDh7f-pB.js";
import { e as _sfc_main$2, _ as _sfc_main$3, d as _sfc_main$4 } from "./http-CDixhmav.js";
import "./LoadingButton-DREeyNQW.js";
import "./_plugin-vue_export-helper-1tPrXgE0.js";
import "../ssr.js";
import "@inertiajs/vue3/server";
import "@vue/server-renderer";
import "lodash.debounce";
import "./AppLayout-BRHmSgDa.js";
import "notiwind";
import "vue-i18n";
import "@vuepic/vue-datepicker";
import "lodash.isequal";
import "axios";
import "lodash.throttle";
const _sfc_main = /* @__PURE__ */ Object.assign({ layout: _sfc_main$1 }, {
  __name: "RegistersReport",
  __ssrInlineRender: true,
  props: ["pagination", "stores", "users"],
  setup(__props) {
    const form = ref(false);
    const { filters, searching } = PageSearch();
    return (_ctx, _push, _parent, _attrs) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p, _q, _r, _s, _t;
      const _component_Head = resolveComponent("Head");
      const _component_Header = resolveComponent("Header");
      const _component_Icon = resolveComponent("Icon");
      _push(`<!--[-->`);
      _push(ssrRenderComponent(_component_Head, null, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<title${_scopeId}>${ssrInterpolate(_ctx.$t("{x} Report", { x: _ctx.$t("Registers") }))}</title>`);
          } else {
            return [
              createVNode("title", null, toDisplayString(_ctx.$t("{x} Report", { x: _ctx.$t("Registers") })), 1)
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(ssrRenderComponent(_component_Header, null, {
        subheading: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`${ssrInterpolate(_ctx.$t("Please review the data below"))}`);
          } else {
            return [
              createTextVNode(toDisplayString(_ctx.$t("Please review the data below")), 1)
            ];
          }
        }),
        menu: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="flex items-center justify-center gap-4"${_scopeId}>`);
            _push2(ssrRenderComponent(unref(_sfc_main$2), {
              type: "button",
              onClick: ($event) => form.value = true
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`${ssrInterpolate(_ctx.$t("Customize"))}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(_ctx.$t("Customize")), 1)
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(`</div>`);
          } else {
            return [
              createVNode("div", { class: "flex items-center justify-center gap-4" }, [
                createVNode(unref(_sfc_main$2), {
                  type: "button",
                  onClick: ($event) => form.value = true
                }, {
                  default: withCtx(() => [
                    createTextVNode(toDisplayString(_ctx.$t("Customize")), 1)
                  ]),
                  _: 1
                }, 8, ["onClick"])
              ])
            ];
          }
        }),
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`${ssrInterpolate(_ctx.$t("{x} Report", { x: _ctx.$t("Registers") }))} `);
          } else {
            return [
              createTextVNode(toDisplayString(_ctx.$t("{x} Report", { x: _ctx.$t("Registers") })) + " ", 1)
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`<div class="relative px-4 sm:px-6 lg:px-8 bg-white dark:bg-gray-800 grow self-stretch flex flex-col items-stretch justify-stretch">`);
      if (unref(searching)) {
        _push(ssrRenderComponent(unref(_sfc_main$3), { "circle-size": "w-10 h-10" }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(`<div class="flow-root grow"><div class="-mx-4 -my-2 overflow-x-auto sm:-mx-6 lg:-mx-8"><div class="inline-block min-w-full my-2 align-middle border-b border-gray-200 dark:border-gray-700"><table class="min-w-full divide-y dark:divide-gray-700"><thead><tr><th scope="col" class="py-3.5 pl-4 pr-3 text-center text-sm font-semibold text-focus sm:pl-6 lg:pl-8 w-16"><button type="button" class="flex items-center gap-2 whitespace-nowrap">${ssrInterpolate(_ctx.$t("Created at"))} `);
      if ((_b = (_a = unref(filters)) == null ? void 0 : _a.sort) == null ? void 0 : _b.startsWith("created_at:")) {
        _push(ssrRenderComponent(_component_Icon, {
          size: "size-3 text-mute",
          name: unref(filters).sort == "created_at:desc" ? "c-up" : "c-down"
        }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(`</button></th><th scope="col" class="px-3 py-3.5 text-left text-sm font-semibold text-focus"><button type="button" class="flex items-center gap-2 whitespace-nowrap">${ssrInterpolate(_ctx.$t("Store"))} `);
      if ((_d = (_c = unref(filters)) == null ? void 0 : _c.sort) == null ? void 0 : _d.startsWith("store.name:")) {
        _push(ssrRenderComponent(_component_Icon, {
          size: "size-3 text-mute",
          name: unref(filters).sort == "store.name:desc" ? "c-up" : "c-down"
        }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(`</button></th><th scope="col" class="px-3 py-3.5 text-left text-sm font-semibold text-focus"><button type="button" class="flex items-center gap-2 whitespace-nowrap">${ssrInterpolate(_ctx.$t("Opened by"))} `);
      if ((_f = (_e = unref(filters)) == null ? void 0 : _e.sort) == null ? void 0 : _f.startsWith("openedBy.name:")) {
        _push(ssrRenderComponent(_component_Icon, {
          size: "size-3 text-mute",
          name: unref(filters).sort == "openedBy.name:desc" ? "c-up" : "c-down"
        }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(`</button></th><th scope="col" class="px-3 py-3.5 text-center text-sm font-semibold text-focus"><button type="button" class="flex items-center gap-2 whitespace-nowrap mx-auto">${ssrInterpolate(_ctx.$t("Cash in Hand"))} `);
      if ((_h = (_g = unref(filters)) == null ? void 0 : _g.sort) == null ? void 0 : _h.startsWith("cash_in_hand:")) {
        _push(ssrRenderComponent(_component_Icon, {
          size: "size-3 text-mute",
          name: unref(filters).sort == "cash_in_hand:desc" ? "c-up" : "c-down"
        }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(`</button></th><th scope="col" class="px-3 py-3.5 text-center text-sm font-semibold text-focus"><button type="button" class="flex items-center gap-2 whitespace-nowrap mx-auto">${ssrInterpolate(_ctx.$t("Cash Amount"))} `);
      if ((_j = (_i = unref(filters)) == null ? void 0 : _i.sort) == null ? void 0 : _j.startsWith("cash_amount:")) {
        _push(ssrRenderComponent(_component_Icon, {
          size: "size-3 text-mute",
          name: unref(filters).sort == "cash_amount:desc" ? "c-up" : "c-down"
        }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(`</button></th><th scope="col" class="px-3 py-3.5 text-center text-sm font-semibold text-focus"><button type="button" class="flex items-center gap-2 whitespace-nowrap mx-auto">${ssrInterpolate(_ctx.$t("CC Amount"))} `);
      if ((_l = (_k = unref(filters)) == null ? void 0 : _k.sort) == null ? void 0 : _l.startsWith("cc_amount:")) {
        _push(ssrRenderComponent(_component_Icon, {
          size: "size-3 text-mute",
          name: unref(filters).sort == "cc_amount:desc" ? "c-up" : "c-down"
        }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(`</button></th><th scope="col" class="px-3 py-3.5 text-center text-sm font-semibold text-focus"><button type="button" class="flex items-center gap-2 whitespace-nowrap mx-auto">${ssrInterpolate(_ctx.$t("Stripe Amount"))} `);
      if ((_n = (_m = unref(filters)) == null ? void 0 : _m.sort) == null ? void 0 : _n.startsWith("stripe_amount:")) {
        _push(ssrRenderComponent(_component_Icon, {
          size: "size-3 text-mute",
          name: unref(filters).sort == "stripe_amount:desc" ? "c-up" : "c-down"
        }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(`</button></th><th scope="col" class="px-3 py-3.5 text-center text-sm font-semibold text-focus"><button type="button" class="flex items-center gap-2 whitespace-nowrap mx-auto">${ssrInterpolate(_ctx.$t("Other Amount"))} `);
      if ((_p = (_o = unref(filters)) == null ? void 0 : _o.sort) == null ? void 0 : _p.startsWith("other_amount:")) {
        _push(ssrRenderComponent(_component_Icon, {
          size: "size-3 text-mute",
          name: unref(filters).sort == "other_amount:desc" ? "c-up" : "c-down"
        }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(`</button></th><th scope="col" class="px-3 py-3.5 text-center text-sm font-semibold text-focus"><button type="button" class="flex items-center gap-2 whitespace-nowrap mx-auto">${ssrInterpolate(_ctx.$t("Closed by"))} `);
      if ((_r = (_q = unref(filters)) == null ? void 0 : _q.sort) == null ? void 0 : _r.startsWith("closedBy.name:")) {
        _push(ssrRenderComponent(_component_Icon, {
          size: "size-3 text-mute",
          name: unref(filters).sort == "closedBy.name:desc" ? "c-up" : "c-down"
        }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(`</button></th><th scope="col" class="px-3 py-3.5 text-center text-sm font-semibold text-focus"><button type="button" class="flex items-center gap-2 whitespace-nowrap">${ssrInterpolate(_ctx.$t("Closed at"))} `);
      if ((_t = (_s = unref(filters)) == null ? void 0 : _s.sort) == null ? void 0 : _t.startsWith("closed_at:")) {
        _push(ssrRenderComponent(_component_Icon, {
          size: "size-3 text-mute",
          name: unref(filters).sort == "closed_at:desc" ? "c-up" : "c-down"
        }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(`</button></th></tr></thead><tbody class="divide-y dark:divide-gray-700 bg-white dark:bg-gray-900">`);
      if (__props.pagination && __props.pagination.data && __props.pagination.data.length) {
        _push(`<!--[-->`);
        ssrRenderList(__props.pagination.data, (row) => {
          var _a2, _b2, _c2;
          _push(`<tr class="${ssrRenderClass({
            "bg-green-50 dark:bg-green-950": row.closed_at,
            "bg-yellow-50 dark:bg-yellow-950": !row.closed_at
          })}"><td class="whitespace-nowrap py-4 pl-4 pr-3 text-sm font-medium text-focus sm:pl-6 lg:pl-8 w-14">${ssrInterpolate(_ctx.$datetime(row.created_at))}</td><td class="whitespace-nowrap px-3 py-4 text-sm">${ssrInterpolate(((_a2 = row.store) == null ? void 0 : _a2.name) || "")}</td><td class="whitespace-nowrap px-3 py-4 text-sm text-center">${ssrInterpolate(((_b2 = row.user) == null ? void 0 : _b2.name) || "")}</td><td class="whitespace-nowrap px-3 py-4 text-sm text-right">${ssrInterpolate(_ctx.$currency(row.cash_in_hand))}</td><td class="whitespace-nowrap px-3 py-4 text-sm text-right font-bold">${ssrInterpolate(row.closed_at ? _ctx.$currency(row.cash_amount || 0) : "")}</td><td class="whitespace-nowrap px-3 py-4 text-sm text-right font-bold">${ssrInterpolate(row.closed_at ? _ctx.$currency(row.cc_payments_amount || 0) : "")}</td><td class="whitespace-nowrap px-3 py-4 text-sm text-right font-bold">${ssrInterpolate(row.closed_at ? _ctx.$currency(row.stripe_payments_amount || 0) : "")}</td><td class="whitespace-nowrap px-3 py-4 text-sm text-right font-bold">${ssrInterpolate(row.closed_at ? _ctx.$currency(row.other_payments_amount || 0) : "")}</td><td class="whitespace-nowrap px-3 py-4 text-sm">${ssrInterpolate(((_c2 = row.closed_by) == null ? void 0 : _c2.name) || "")}</td><td class="whitespace-nowrap py-4 pl-4 pr-3 text-sm font-medium text-focus sm:pl-6 lg:pl-8 w-14">${ssrInterpolate(row.closed_at ? _ctx.$datetime(row.closed_at) : "")}</td></tr>`);
        });
        _push(`<!--]-->`);
      } else {
        _push(`<tr><td colspan="100%"><div class="whitespace-nowrap pl-4 pr-3 py-3.5 text-sm font-light text-mute sm:pl-2 lg:pl-4">${ssrInterpolate(_ctx.$t("There is no data to display!"))}</div></td></tr>`);
      }
      _push(`</tbody></table></div></div></div><div class="-mx-4 sm:-mx-6 lg:-mx-8">`);
      _push(ssrRenderComponent(unref(_sfc_main$4), {
        class: "mt-auto mx-4 sm:mx-6 py-2 text-sm",
        meta: __props.pagination.meta,
        links: __props.pagination.links
      }, null, _parent));
      _push(`</div>`);
      _push(ssrRenderComponent(unref(_sfc_main$5), {
        show: form.value,
        "max-width": "2xl",
        onClose: ($event) => form.value = false,
        overflow: true
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(ssrRenderComponent(_sfc_main$6, {
              filters: unref(filters),
              stores: __props.stores,
              users: __props.users,
              onClose: ($event) => form.value = false,
              fields: ["store", "user"]
            }, null, _parent2, _scopeId));
          } else {
            return [
              createVNode(_sfc_main$6, {
                filters: unref(filters),
                stores: __props.stores,
                users: __props.users,
                onClose: ($event) => form.value = false,
                fields: ["store", "user"]
              }, null, 8, ["filters", "stores", "users", "onClose"])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div><!--]-->`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/Sma/Pos/RegistersReport.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as default
};
